Subject: Re: [PATCH] gnu: fortune-mod: Remove off database.

From: Csepp <[email-masked]>
Date: Sun, 17 Jul 2022 15:05:09 +0200

Liliana Marie Prikler <[email-masked]> writes:

> Am Samstag, dem 16.07.2022 um 15:40 +0200 schrieb Csepp:
>> 
>> Liliana Marie Prikler <[email-masked]> writes:
>> 
>> > merge 56599 54691
>> > thanks
>> > 
>> > Am Samstag, dem 16.07.2022 um 14:21 +0200 schrieb raingloom:
>> > > * gnu/packages/games.scm (fortune-mod): Delete off database after
>> > > install phase.
>> > > ---
>> > >  gnu/packages/games.scm | 5 ++++-
>> > >  1 file changed, 4 insertions(+), 1 deletion(-)
>> > > 
>> > > diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
>> > > index 713f9339b2..cf10ebc9b6 100644
>> > > --- a/gnu/packages/games.scm
>> > > +++ b/gnu/packages/games.scm
>> > > @@ -7721,7 +7721,10 @@ (define-public fortune-mod
>> > >                   (lambda _
>> > >                     (with-directory-excursion #$output
>> > >                       (rename-file "games/fortune" "bin/fortune")
>> > > -                     (rmdir "games")))))))
>> > > +                     (rmdir "games"))))
>> > > +               (add-after 'install 'commit-censorship
>> > > +                 (lambda* (#:key outputs #:allow-other-keys)
>> > > +                   (delete-file-recursively (string-append
>> > Truly offensive files should be removed with a snippet rather than
>> > a funnily named phase.  I'm not sure if this applies to all of off,
>> > but let it be said, that there's plenty of fortunes that'd violate
>> > the CoC in files not labeled as such.  Some files could probably be
>> > salvaged if we only removed some quotes – for example limericks
>> > about numbers are probably fine, but other limericks aren't. 
>> > Furthermore, we should also revise the list of fortunes not in off,
>> > men-women is just an alternate spelling of sexism.
>> > 
>> > Cheers
>> 
>> That's probably better done as a fork of upstream. If no one wants to
>> do that, I wouldn't miss the package if it got yeeted. :shrug:
> I'm not necessarily asking you to go over joke for joke; that would
> need to be a collective decision of Guix folk anyway.  Right now I just
> want to (1) make that a snippet and (2) also take a critical look at
> the files not labeled "offensive". 
>
> Cheers

Doing it before the install phase requires also patching the build
scripts.  There are a bunch of other bugs calling me sadly, so I'm not
super keen on putting more energy into this one.